#include <allegro.h>
#include "CMain.hpp"


#ifndef CDISPLAY_HPP
#define CDISPLAY_HPP

#define APP_TITLE "RPG"

class CDisplay
{
private:
 

public:
  BITMAP *vscreen[3];
  
  int CreateWindow(word w, word h, byte bpp, bool fullscreen);
  void Shutdown(void);

  int cur_page;
  BITMAP *GetSurface();
  
};

BITMAP *safe_load_bitmap(const char *filename, RGB *pal);

extern CDisplay Display;
extern PALETTE palette;
#endif
